RootLayout
Keywords: uk.ac.ic.doc.automed.editor.layout.RootLayout class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.layout
Class RootLayout

    java.lang.Object
      uk.ac.ic.doc.automed.editor.layout.RootLayout

All Implemented Interfaces:
  LayoutInterface

Direct Known Subclasses:
  AestheticRootLayout, LogicalRootLayout

    public abstract class RootLayout

extends java.lang.Object
implements LayoutInterface

Constructor Summary
`RootLayout()`

Method Summary
`abstract SchemaObject` | `ChooseMainNode(SchemaObject[] so)`
`static void` | `initialiseRepository(java.lang.String sourceName)`
`static void` | `main(java.lang.String[] args)`
`boolean` | `NotProcessed(SchemaObject so)`
`void` | `ProcessLinkNode(SchemaObject root, int generacija)`
`void` | `ProcessNode(SchemaObject so)`
`void` | `run(SchemaObject[] so)`
`void` | `setAtributs(SchemaObject so)`
`void` | `setGenerations(int g)`
`void` | `setOffset(int x, int y)`
`void` | `setRootNode(SchemaObject[] so)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootLayout

    public RootLayout()

Method Detail

### setGenerations

    public void setGenerations(int g)

### main

    public static void main(java.lang.String[] args)

### setOffset

    public void setOffset(int x,
                          int y)

### setRootNode

    public void setRootNode(SchemaObject[] so)

### initialiseRepository

    public static void initialiseRepository(java.lang.String sourceName)
                                     throws DSRException,
                                            java.sql.SQLException,
                                            java.io.IOException

  Throws:
    `DSRException`
    `java.sql.SQLException`
    `java.io.IOException`

### run

    public void run(SchemaObject[] so)

  Specified by:
    `run` in interface `LayoutInterface`

### ProcessNode

    public void ProcessNode(SchemaObject so)

### ProcessLinkNode

    public void ProcessLinkNode(SchemaObject root,
                                int generacija)

### setAtributs

    public void setAtributs(SchemaObject so)

### NotProcessed

    public boolean NotProcessed(SchemaObject so)

### ChooseMainNode

    public abstract SchemaObject ChooseMainNode(SchemaObject[] so)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD